package com.qmth.eds.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 赋分计算结果result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/5/24
 */
public class AssignResultPreviewResult implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "主键")
    Long id;

    @ApiModelProperty(value = "课程代码")
    String courseCode;

    @ApiModelProperty(value = "课程名称")
    String courseName;

    @ApiModelProperty(value = "学号")
    String studentCode;

    @ApiModelProperty(value = "姓名")
    String studentName;

    @ApiModelProperty(value = "客观总分")
    String objectiveScore;

    @ApiModelProperty(value = "主观总分")
    String subjectiveScore;

    @ApiModelProperty(value = "总分")
    String totalScore;

    @ApiModelProperty(value = "评分明细")
    String scoreDetail;

    @ApiModelProperty(value = "班级")
    String clazzName;

    @ApiModelProperty(value = "学院")
    String collegeName;

    @ApiModelProperty(value = "任课老师")
    String teacherName;

    @ApiModelProperty(value = "赋分后总分")
    String assignScore;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(String objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public String getSubjectiveScore() {
        return subjectiveScore;
    }

    public void setSubjectiveScore(String subjectiveScore) {
        this.subjectiveScore = subjectiveScore;
    }

    public String getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(String totalScore) {
        this.totalScore = totalScore;
    }

    public String getScoreDetail() {
        return scoreDetail;
    }

    public void setScoreDetail(String scoreDetail) {
        this.scoreDetail = scoreDetail;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getAssignScore() {
        return assignScore;
    }

    public void setAssignScore(String assignScore) {
        this.assignScore = assignScore;
    }
}
