package com.qmth.eds.bean.result;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Objects;

/**
 * @Description: 考查学院result
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/5/23
 */
public class ExamineCollegeResult implements Serializable {

    @ApiModelProperty(value = "编码")
    String code;

    @ApiModelProperty(value = "名称")
    String name;

    public ExamineCollegeResult() {

    }

    public ExamineCollegeResult(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        ExamineCollegeResult that = (ExamineCollegeResult) o;
        return Objects.equals(code, that.code) && Objects.equals(name, that.name);
    }

    @Override
    public int hashCode() {
        return Objects.hash(code, name);
    }
}
